Version of Gecko for WINE 1.5.11?

Questions about Wine on Linux
Locked
jhthayer
Level 1
Level 1
Posts: 7
Joined: Thu Mar 05, 2009 11:35 pm

Version of Gecko for WINE 1.5.11?

Post by jhthayer » Mon Sep 03, 2012 1:21 am

The Wiki says that WINE versions > 1.5.10 use the 1.7 gecko. On my recent install of Precise, I installed the most recent version of WINE, 1.5.11 as I recall (not on that install right now), but in any case greater than 1.5.10 but after installing Gecko 1.7, still get the 'can't find Gecko' message. Checked the /usr/share/wine/gecko folder and the 1.7 is there, as it should be. Anyone have any suggestions?

CPU AMD Athlon64 3000+, 1 G memory, Gigabyte GA K8NSpro motherboard, using the 64-bit version of Kubuntu 12.04, updated.

Thanks,
Joe

User avatar
dimesio
Moderator
Moderator
Posts: 12687
Joined: Tue Mar 25, 2008 10:30 pm

Re: Version of Gecko for WINE 1.5.11?

Post by dimesio » Mon Sep 03, 2012 9:52 am

The wiki is correct.

Did you install both 32 bit and 64 bit gecko? You need to.

User avatar
DanKegel
Moderator
Moderator
Posts: 1164
Joined: Wed May 14, 2008 11:44 am

Re: Version of Gecko for WINE 1.5.11?

Post by DanKegel » Tue Sep 04, 2012 9:49 am

Running http://winetricks.googlecode.com/svn/tr ... l-gecko.sh
will probably cure what ails you...

jhthayer
Level 1
Level 1
Posts: 7
Joined: Thu Mar 05, 2009 11:35 pm

Re: Version of Gecko for WINE 1.5.11?

Post by jhthayer » Tue Sep 04, 2012 1:52 pm

Thank you both for responding!

@Dan:
I did use the link provided by the informing pop-up which installed the appropriate wine-gecko which was exactly the same version I had installed from the ppa--then it did work, and this is what prompts me to ask this--why should it not be able to find the same thing it was looking for, when it was in the appropriate folder, both times? It didn't say that wine_gecko-1.7-x86_64.msi wasn't installed, (and Synaptic said it was), but that it couldn't find it! The matter may be unimportant to the average user, but I am on dial-up, and that meant an extra hour of download time that didn't appear to be necessary, and what I was hoping to find out was how to fix the matter, should it recur, as it seems to have for so many people, judging by the posts to different sites.

@dimesio:
I couldn't find any 32-bit version of wine_gecko listed in Synaptic ( I should probably look with apt, I suppose) and had assumed that the 64-bit version was installed according to prescription by the packagers. At all events, it works with only the 64-bit version. Or were you referring to WINE? I wasn't really having any problem with WINE, just when any program that used a browser for a help file was called, the issue came up. I DO have the 32-bit WINE installed, of course.

Thanks again for your response, but the essential question I have remains, and if either of you could explain what the issue was (for my understanding, not for getting functionality) it would be most appreciated.

Joe

Locked